# EDBGS

EDBGS is a project containing the EliteBGS BGS application. It also contains the dotnet
class library EDPlayerJournal, which reads and parses Elite Dangerous player journals.

See [https://bgs.n0la.org/](https://bgs.n0la.org) for further details.

The tool helps with creating BGS reports for squadrons that support factions in
Elite: Dangerous that can be copy and pasted into a Discord server. It finds all BGS
relevant actions in the player journals, and constructs a human readable BGS report
from them:

![MainPage](EliteBGS/main-page.png)

## Requirements

This repository depends on dotnet desktop SDK 7, as well as `Newtonsoft.JSON`, MahApps,
and Ookii Dialogs.
